uuid: 64eefc8f-815f-43fb-a628-1f25854feb8b
langcode: en
status: true
dependencies: {  }
id: upgrade_d7_paragraph_rss_feed
class: Drupal\migrate\Plugin\Migration
field_plugin_method: null
cck_plugin_method: null
migration_tags:
  - 'Drupal 7'
  - Content
migration_group: drupal_7_paragraphs
label: 'RSS Feed'
source:
  plugin: d7_nar_paragraphs_item
  bundle: rss_feed
process:
  id:
    -
      plugin: get
      source: item_id
  revision_id:
    -
      plugin: get
      source: revision_id
  type:
    -
      plugin: d7_paragraph_type
      source: bundle
  parent_field_name:
    -
      plugin: d7_paragraph_parent_type
      source: field_name
  parent_id:
    -
      plugin: d7_paragraph_parent_id
      source: field_parent
  parent_type:
    -
      plugin: d7_paragraph_parent_bundle
      source: field_name
  created:
    -
      plugin: get
      source: created
  changed:
    -
      plugin: get
      source: changed
  field_page_size:
    -
      plugin: get
      source: field_rss_feed_page_size
  field_rss_url:
    -
      plugin: field_link
      source: field_rss_feed_rss_link
  field_only_the_last_feed_items:
    -
      plugin: get
      source: field_rss_feed_show_last_items
  field_title:
    -
      plugin: get
      source: field_title
destination:
  plugin: 'entity:paragraph'
migration_dependencies:
  required: {  }
  optional: {  }
